Gecode::Float::Trigonometric Namespace Reference

Trigonometric propagators More...

## Classes

class | Sin
| Propagator for bounds consistent sinus operator More...
class | Cos
| Propagator for bounds consistent cosinus operator More...
class | ASin
| Propagator for bounds consistent arc sinus operator More...
class | ACos
| Propagator for bounds consistent arc cosinus operator More...
class | Tan
| Propagator for bounds consistent tangent operator More...
class | ATan
| Propagator for bounds consistent arc tangent operator More...

## Functions

template<class V>
void | aSinProject (Rounding &r, const V &aSinIv, FloatNum &iv_min, FloatNum &iv_max, int &n_min, int &n_max)
template<class V>
void | aTanProject (Rounding &r, const V &aTanIv, FloatNum &iv_min, FloatNum &iv_max, int &n_min, int &n_max)

## Detailed Description

Trigonometric propagators

## Function Documentation

## aSinProject()

template<class V>

void Gecode::Float::Trigonometric::aSinProject | ( | Rounding & | r,
|  | const V & | aSinIv,
|  | FloatNum & | iv_min,
|  | FloatNum & | iv_max,
|  | int & | n_min,
|  | int & | n_max )

Definition at line 42 of file sincos.hpp.

## aTanProject()

template<class V>

void Gecode::Float::Trigonometric::aTanProject | ( | Rounding & | r,
|  | const V & | aTanIv,
|  | FloatNum & | iv_min,
|  | FloatNum & | iv_max,
|  | int & | n_min,
|  | int & | n_max )

Definition at line 41 of file tanatan.hpp.